clang 10.0.0git

Public Member Functions | Protected Member Functions | List of all members
clang::ModuleFileExtensionReader Class Reference

Abstract base class that reads a module file extension block from a module file. More...

`#include "clang/Serialization/ModuleFileExtension.h"`

## Public Member Functions
ModuleFileExtension * | getExtension () const
| Retrieve the module file extension with which this reader is associated. More...
virtual | ~ModuleFileExtensionReader ()

## Protected Member Functions
| ModuleFileExtensionReader (ModuleFileExtension *Extension)

## Detailed Description

Abstract base class that reads a module file extension block from a module file.

Subclasses

Definition at line 131 of file ModuleFileExtension.h.

## Constructor & Destructor Documentation

## ◆ ModuleFileExtensionReader()

clang::ModuleFileExtensionReader::ModuleFileExtensionReader | ( | ModuleFileExtension * | Extension | ) |
| inline protected

Definition at line 135 of file ModuleFileExtension.h.

## ◆ ~ModuleFileExtensionReader()

ModuleFileExtensionReader::~ModuleFileExtensionReader | ( |  | ) |
| virtual

Definition at line 20 of file ModuleFileExtension.cpp.

## Member Function Documentation

## ◆ getExtension()

ModuleFileExtension* clang::ModuleFileExtensionReader::getExtension | ( |  | ) | const
| inline

Retrieve the module file extension with which this reader is associated.

Definition at line 141 of file ModuleFileExtension.h.

The documentation for this class was generated from the following files:

- include/clang/Serialization/ModuleFileExtension.h
- lib/Serialization/ModuleFileExtension.cpp